curl --request GET \
--url https://api.kaalchakra.dev/v1/panchang/current_dayimport requests
url = "https://api.kaalchakra.dev/v1/panchang/current_day"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.kaalchakra.dev/v1/panchang/current_day', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"angas": {
"vara": {
"name": "Saumyavasara",
"localized_name": "सौम्यवासर",
"ends_at": "2025-09-10T23:59:59.999+05:30"
},
"tithis": [
{
"name": "Tritiya",
"localized_name": "तृतीया",
"ends_at": "2025-09-10T15:39:00.000+05:30"
}
],
"karanas": [
{
"name": "Vishti",
"localized_name": "विष्टि",
"ends_at": "2025-09-10T15:39:00.000+05:30"
},
{
"name": "Bava",
"localized_name": "बव",
"ends_at": "2025-09-11T02:12:00.000+05:30"
}
],
"nakshatras": [
{
"name": "Revati",
"localized_name": "रेवती",
"ends_at": "2025-09-10T16:03:00.000+05:30"
}
],
"yogas": [
{
"name": "Vriddhi",
"localized_name": "वृद्धि",
"ends_at": "2025-09-10T20:32:00.000+05:30"
}
]
},
"paksha": {
"name": "Krishna",
"localized_name": "कृष्ण"
},
"lagna": {
"name": "Kanya",
"localized_name": "कन्या"
},
"rashis": [
{
"name": "Mina",
"localized_name": "मीन",
"ends_at": "2025-09-10T16:02:00.000+05:30"
},
{
"name": "Mesha",
"localized_name": "मेष",
"ends_at": null
}
],
"moon_age_days": 17.8,
"saka_era_calendar_date": {
"day": {
"number": 19
},
"month": {
"name": "Bhadra",
"localized_name": "भाद्रपद",
"number": 6
},
"year": {
"number": 1947
}
},
"gregorian_calendar_date": {
"day": {
"name": "Wednesday",
"localized_name": "सौम्यवासर",
"number": 10
},
"month": {
"name": "September",
"localized_name": "सितंबर",
"number": 9
},
"year": {
"number": 2025
}
},
"bengali_calendar_date": {
"day": {
"number": 24
},
"month": {
"name": "Bhadra",
"localized_name": "भाद्रपद",
"number": 5
},
"year": {
"number": 1432
}
},
"islamic_calendar_date": {
"day": {
"number": 17
},
"month": {
"name": "Rabi al-Awwal",
"localized_name": "रबी-उल-अव्वल",
"number": 3
},
"year": {
"number": 1447
}
},
"holidays_and_observances": [
{
"name": "Eid-e-Milad-un-Nabi",
"community": "Muslim"
}
]
}{
"status": 400,
"error": "Localization disallowed. Purchase a subscription to enable localization."
}{
"status": 429,
"error": "Too Many Requests"
}GET /panchang/current_day
Returns today’s panchang
Query Parameters
API key token.
"kk-prod-my-token"
Language used to populate localized_name fields. If not set, the value of localized_name fields is null.
Possible values: "hi" (Hindi), "bn" (Bengali)
"hi"
Client time zone. If time_zone is not set, the client time zone is assumed to be Asia/Kolkata.
"America/Los_Angeles"
Response
200 Success
The five components of time in Hindu timekeeping and astrology:
Vara — वार — Weekday Tithi — तिथि — Lunar day Karana — करण — Half lunar day Nakshatra — नक्षत्र— Lunar mansion Yoga — योग — Relative positions of the planets at sunrise
Show child attributes
Show child attributes
Lunar fortnight:
Shukla — शुक्ल — Waxing moon Krishna — कृष्ण — Waning moon
Show child attributes
Show child attributes
Zodiac sign of the constellation rising on the eastern horizon.
Show child attributes
Show child attributes
Zodiac signs of the constellation in which the moon is located today.
Show child attributes
Show child attributes
[
{
"name": "Mina",
"localized_name": "मीन",
"ends_at": "2025-09-10T16:02:00.000+05:30"
},
{
"name": "Mesha",
"localized_name": "मेष",
"ends_at": null
}
]
Days since most recent new moon.
17.8
Date according to the Saka Era calendar system.
Show child attributes
Show child attributes
Date according to the Gregorian calendar system.
Show child attributes
Show child attributes
Date according to the Bengali, or Bangla, calendar system.
Show child attributes
Show child attributes
Date according to the Islamic calendar system.
Show child attributes
Show child attributes
Holidays and observances in India today.
Show child attributes
Show child attributes
[
{
"name": "Eid-e-Milad-un-Nabi",
"community": "Muslim"
}
]